首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
推荐学习书目
Learn Python the Hard Way
Python 学习手册
Python Cookbook
Python 基础教程
Python Sites
PyPI - Python Package Index
http://www.simple-is-better.com/
http://diveintopython.org/toc/index.html
Pocoo
值得关注的项目
PyPy
Celery
Jinja2
Read the Docs
gevent
pyenv
virtualenv
Stackless Python
Beautiful Soup
结巴中文分词
Green Unicorn
Sentry
Shovel
Pyflakes
pytest
Python 编程
pep8 Checker
Styles
PEP 8
Google Python Style Guide
Code Style from The Hitchhiker's Guide
宝塔
V2EX  ›  Python

各位生产环境已经迁移到 py3 的都是用的哪个版本呢?

  •  
  •   sikariba · 2017-11-23 10:06:12 +08:00 · 3610 次点击
    这是一个创建于 727 天前的主题,其中的信息可能已经有所发展或是发生改变。
    普遍都是 py3.4 ?有必要上 3.5、3.6 么?
    29 回复  |  直到 2017-11-25 01:43:47 +08:00
        1
    julyclyde   2017-11-23 10:09:39 +08:00
    3.4 和 3.5 据说 asyncio 有些差别?
        2
    janxin   2017-11-23 10:28:17 +08:00
    3.6
        3
    Zzzzzzzzz   2017-11-23 10:31:35 +08:00
    迁到 3.4 还不如不迁, 现在一大堆支持 python3.x 的库都已经或者打算 drop 3.4 support 了......
        4
    sikariba   2017-11-23 10:36:43 +08:00
    @Zzzzzzzzz @_@ 。。。这样么
        5
    xchange   2017-11-23 10:43:48 +08:00
    3.6
        6
    sikariba   2017-11-23 10:48:37 +08:00
    好的,谢谢各位。。。
        7
    patrickwhisper   2017-11-23 11:09:22 +08:00
    3.4 有各种奇怪的问题,建议 3.6
        8
    patrickwhisper   2017-11-23 11:09:49 +08:00
    在 PYTHON3.6 的源码里面,有很多对 3.4 的吐槽
        9
    turan12   2017-11-23 11:15:58 +08:00
    不都应该是直接上 3.6 么?
        10
    lrxiao   2017-11-23 11:40:41 +08:00
    @patrickwhisper ctrl+f 了下 没找到啊..
        11
    eloah   2017-11-23 11:44:28 +08:00
    时刻紧跟最新版,出了 2 的,对旧版几乎无缝兼容
    啊, 3.6 对正则未定义转义抛出异常
        12
    XIVN1987   2017-11-23 11:53:01 +08:00
    建议 3.6,,3.6 中的 dict 实现提升很大。。
        13
    xfspace   2017-11-23 11:55:39 +08:00 via Android
    上新不上旧,一起滚动更新
        14
    EricCartman   2017-11-23 12:03:17 +08:00
    FB 有个员工在推上说 FB 里有一小半生产环境都跑在 3.6 了
        15
    nicevar   2017-11-23 12:09:15 +08:00
    生产环境刚上 3.6
        16
    f2f2f   2017-11-23 12:17:45 +08:00
    大学里面万年 2.7 #滑稽
        17
    shamashii   2017-11-23 12:21:08 +08:00
    3.6 解决大部分 console unicode 问题
        18
    Mavious   2017-11-23 12:52:12 +08:00 via iPhone
    经常要用的 Adobe afdko 工具包只支持 2 代。
    感觉更新无望了。作者大概不想支持 3 代了。
        19
    Tink   2017-11-23 12:53:41 +08:00 via iPhone
    要上就上最新版
        20
    pynix   2017-11-23 12:56:21 +08:00
    最新版。。。。
        21
    ryanking8215   2017-11-23 13:07:00 +08:00
    @julyclyde asyncio 确实有差别,当年 3.4 踩过坑,后来发现 3.5 asyncio 有些部分重写过了
        22
    julyclyde   2017-11-23 14:44:55 +08:00
    @f2f2f 大学万年是“谭 C ”吧?用 2.7 算不错的学校了
        23
    julyclyde   2017-11-23 14:45:09 +08:00
    @ryanking8215 羡慕!我还没学这段呢,直接略过了
        24
    matsuz   2017-11-23 15:34:09 +08:00 via iPhone
    升级到 3.x 还要纠结用哪个版本,还是 2.x 好,反正只能用 2.7😂
        25
    patrickwhisper   2017-11-23 18:22:35 +08:00
    @lrxiao
    /* Type structure has tp_finalize member (3.4) */
    #define Py_TPFLAGS_HAVE_FINALIZE (1UL << 0) 类似这种的兼容有很多。
        26
    lrxiao   2017-11-24 01:39:26 +08:00
    @patrickwhisper emm 我就是只找到了这一处啊 Include Object Python Lib 这 4 个算是源码文件夹吧
        27
    jameslan   2017-11-24 07:20:06 +08:00 via Android
    3.6 的 string interpolation 非常提升幸福感
        28
    ysc3839   2017-11-24 12:41:21 +08:00
    我 Windows 下用 3.6,Linux 下用 3.5。
        29
    aminic   2017-11-25 01:43:47 +08:00 via Android
    好像 36 重新实现的字典 37 会更快
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   1007 人在线   最高记录 5043   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 26ms · UTC 19:37 · PVG 03:37 · LAX 11:37 · JFK 14:37
    ♥ Do have faith in what you're doing.